> For the complete documentation index, see [llms.txt](https://docs.rivaldev.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rivaldev.xyz/other-plugins/rival-credits/information-1.md).

# Information

## Features

* *Unlimited Categories*
* *Unlimited Packages*
* *Unlimited Pages*
* *Fully configurable*
* *MYSQL & SQLite support*
* *Menu Actions*
* *Leaderboards (Text or GUI)*
* *Permission Requirements*
* *Confirmation Menu*
* *Discounts (Per Category Per Item, Global, Temporary or Permanent )*
* *Discord Webhook (Command & Purchases logging)*
* *Logs of purchases*
* *Special Deals Option*
* *Hot Products Option*&#x20;
* *Fully Customizable menus*
* *PlaceholderAPI Support*
* *HEX Color Support*

***

### Commands

* /creditshop- Open the Main Credits Shop Category, a category that has default: true will be the one opened.
* /credits reload - Reloads the whole plugin - **Permission:** rivalcredits.admin
* /credits balance {player}  **Permission:** rivalcredits.balance.others
* /credits pay {player} {amount} **Permission:** rivalcredits.pay
* /credits give {player} {amount}  **Permission:** rivalcredits.admin
* /credits set {player} {amount}  **Permission:** rivalcredits.admin
* /credits remove {player} {amount}  **Permission:** rivalcredits.admin
* /credits reset {player}  **Permission:** rivalcredits.admin
* /credits discount list
* /credits discount remove \<name>
* /credits discount removall
* /credits discount create&#x20;
* /credits about - Shows some info about the plugin

***

### Placeholders

* %rivalcredits\_balance% - Shows raw credits amount
* %rivalcredits\_balance\_decimal% - Shows credits amount with decimal points
* %rivalcredits\_balance\_formatted% - Shows credits amount formatted as 1k, 1M, 1B etc

***

### FAQ

**Q:** How do I change the currency command/name? **A:** In config.yml under options: you can change the main command, aliases for the command and shop aliases which are commands that open the shop

Q:  How do I activate Discounts? A: Below you can see all possible ways of the discount commands explained

Creates a Permanent 50% off Global Discount with the name 'example' `/credits discount create example 50 permanent global`

Creates a Permanent 50% off Discount for the 'ranks' category  with the name 'example' `/credits discount create example 50 permanent ranks`

Creates a Permanent 50% off Discount for the 'warrior' package in the 'ranks' category  with the name 'example' `/credits discount create example 50 permanent ranks warrior`

***

**Temporary Discounts**

Creates a Temporary 50% off Global Discount with the name 'example' that last until 2023 09 25 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00 global`

Creates a Temporary  50% off Discount for the 'ranks' category  with the name 'example' that last until 2023 09 25 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00 ranks`

Creates a Temporary  50% off Discount for the 'warrior' package in the 'ranks' category  with the name 'example' that last until 2023 09 25 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00 ranks warrior`

***

Creates a Temporary 50% off Global Discount with the name 'example' that starts from 2023 09 25 23:00:00 and lasts until 2023 09 26 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00_2023-09-26:23:00:00 global`

Creates a Temporary  50% off Discount for the 'ranks' category  with the name 'example' that starts from 2023 09 25 23:00:00 and lasts until 2023 09 26 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00_2023-09-26:23:00:00 ranks`

Creates a Temporary  50% off Discount for the 'warrior' package in the 'ranks' category  with the name 'example' that starts from 2023 09 25 23:00:00 and lasts until 2023 09 26 23:00:00 `/credits discount create example 50 2023-09-25:23:00:00_2023-09-26:23:00:00 ranks warrior`

***

### Confirmation Menu

```yaml
crates:
    options:
      size: 54
      next-page-slot: 50
      previous-page-slot: 48
      current-page-slot: 49
      name: "&8&nServer Store - Crates"
    items:
      '1':
        confirmation: true # Enabled the confirmation menu, configured in config.yml
        material: 'LIGHT_BLUE_DYE'
        amount: 1
        name: "&f&l1x &b&lRare Key"
        lore:
          - ""
          - "&b&lPrice"
          - "{price}"
          - ""
          - "&eClick to purchase"
        commands:
          use: true
          commands:
            - "crate give {player} Rare 1"
        price: 200
        slot: 10
        package: true
        no-credits-actions:
          - '[close]'
          - '[console]interactivebooks open nocredits {player}'
```

##

### Purchases on other servers

Connecting the server's to a MySQL database and setting a unique server-id in config.yml

you can execute commands for player's on those server's upon purchase by adding server: 'serverid'<br>

```yaml
crates:
    options:
      size: 54
      next-page-slot: 50
      previous-page-slot: 48
      current-page-slot: 49
      name: "&8&nServer Store - Crates"
    items:
      '1':
        server: 'SkyBlock' # Commands will be executed for player on the 'SkyBlock' server
        material: 'LIGHT_BLUE_DYE'
        amount: 1
        name: "&f&l1x &b&lRare Key"
        lore:
          - ""
          - "&b&lPrice"
          - "{price}"
          - ""
          - "&eClick to purchase"
        commands:
          use: true
          commands:
            - "crate give {player} Rare 1"
        price: 200
        slot: 10
        package: true
        no-credits-actions:
          - '[close]'
          - '[console]interactivebooks open nocredits {player}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rivaldev.xyz/other-plugins/rival-credits/information-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
